com.ibm.openpages.api.security

## Interface IRoleTemplate

-     public interface IRoleTemplate

  Interface for role templates for grouping object permissions and application permissions. This is a central piece of the OpenPages security model. Role templates are assigned to users and groups for specific folders.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `disable()` Disables this role template.
    `void` | `enable()` Enables this role template.
    `java.util.Date` | `getDateChanged()` Returns role template changed date.
    `java.util.Date` | `getDateCreated()` Returns the role template creation date.
    `java.lang.String` | `getDescription()` Returns descriptive text for this role template.
    `Id` | `getId()` Returns the Id for this role template.
    `java.lang.String` | `getName()` Returns the name of this role template.
    `java.util.List<IObjectPermission>` | `getObjectPermissions()` Retrieves all object permissions for this role template.
    `java.util.List<IApplicationPermission>` | `getPermissions()` Retrieves all application-level permissions for this role template.
    `ITypeDefinition` | `getTypeDefinition()` Returns the type definition for this role template.
    `boolean` | `isEnabled()` Verifies if this role template is enabled.
    `boolean` | `isLocked()` Verifies if this role template is locked.
    `void` | `lock()` Locks this role template.
    `void` | `unlock()` Unlocks this role template.

- - ### Method Detail

    - #### getObjectPermissions

          java.util.List<IObjectPermission> getObjectPermissions()

      Retrieves all object permissions for this role template.
      Returns:
        List

    - #### getPermissions

          java.util.List<IApplicationPermission> getPermissions()

      Retrieves all application-level permissions for this role template.
      Returns:
        List

    - #### getTypeDefinition

          ITypeDefinition getTypeDefinition()

      Returns the type definition for this role template.
      Returns:
        ITypeDefinition

    - #### getName

          java.lang.String getName()

      Returns the name of this role template.
      Returns:
        String

    - #### disable

          void disable()

      Disables this role template.

    - #### enable

          void enable()

      Enables this role template.

    - #### isLocked

          boolean isLocked()

      Verifies if this role template is locked.
      Returns:
        true if this role template is locked; otherwise, returns false

    - #### lock

          void lock()

      Locks this role template.

    - #### unlock

          void unlock()

      Unlocks this role template.

    - #### getId

          Id getId()

      Returns the Id for this role template.
      Returns:
        Id

    - #### getDescription

          java.lang.String getDescription()

      Returns descriptive text for this role template.
      Returns:
        String

    - #### isEnabled

          boolean isEnabled()

      Verifies if this role template is enabled.
      Returns:
        true if this role template is enabled; otherwise, returns false

    - #### getDateCreated

          java.util.Date getDateCreated()

      Returns the role template creation date.
      Returns:
        date when this role template was created

    - #### getDateChanged

          java.util.Date getDateChanged()

      Returns role template changed date.
      Returns:
        date when this role template was last changed

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.